Skip to navigation

Delete responses

Delete responses to a form. You must specify the included_response_ids parameter.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

form_idanyRequired

Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.

Query parameters

included_response_idsstringOptional

Comma-separated list of response_id values of the responses to delete. You can list up to 1000 tokens and choose to do so either in the request URL, or in its body.

Request

This endpoint expects an object.
included_response_idslist of stringsOptional
ids of responses to be deleted

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
500
Internal Server Error